org.codehaus.groovy.runtime.metaclass

## Class MethodHelper

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MethodHelper

    public class MethodHelper
    extends Object

Some reflection helper methods

Version:
  $Revision: 6778 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`MethodHelper()`

### Method Summary

Methods
`static boolean` `isPublic(Method method)`
`static boolean` `isStatic(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodHelper

    public MethodHelper()

### Method Detail

#### isStatic

    public static boolean isStatic(Method method)

#### isPublic

    public static boolean isPublic(Method method)